<?php
/**
 * Plugin CITRACE
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');


function exec_citrace_liste(){
	
	if (!autoriser('configurer')) {
		include_spip('inc/minipres');
		echo minipres();
	} else {
		$commencer_page = charger_fonction('commencer_page', 'inc');
		echo $commencer_page(_T('citrace:liste'), "configuration", "configuration");
		
		if (spip_version()<3) {
			echo "<br />\n";
			echo gros_titre(_T('citrace:liste'),'', false);
		}
		
		echo debut_gauche('', true);
		
		echo creer_colonne_droite('', true);
		echo debut_droite('', true);

		echo gros_titre(_T('citrace:liste'),'', false);
		
		echo debut_cadre_relief('',true,'',_T('citrace:liste_titre'));
                
               	if (defined('_CITRACE_ANONYME_POUR_ADMIN') AND _CITRACE_ANONYME_POUR_ADMIN=='oui')
                    echo recuperer_fond("prive/objets/liste/citrace_liste_anonyme");
                else
                    echo recuperer_fond("prive/objets/liste/citrace_liste");
                
		echo fin_cadre_relief(true);
		
		echo  "<br />\n";		
		echo fin_gauche(), fin_page();
	}
}

?>