<?php
/**
 * Plugin cid : Fonctions diverses
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */


// Utilisation du pipeline
function cid_cisf_article_options($param){

	// Options supplementaires affectees a l'article
	if ($param['args']['type']=='options_affectees') {
		$id_article = intval($param['args']['id_article']);
		if($id_article){
			$param['data']['cid:date_fin_publication'] = cid_datefin_libelle($id_article);
		}
		
	// Ajouts dans le menus des options avancees
	} elseif ($param['args']['type']=='options_avancees') {	
		$param['data']["bt_datefin"] = "cid:date_fin_publication";
	}
	
	return $param;
}

function cid_datefin_libelle($id_article) {
	$return = "";
	
	if (intval($id_article)>0) {
		$row = sql_fetsel("datefin", "spip_cid_datefin", "id_objet=".$id_article." AND objet='article'", "", "", "");		
		if ($row)
			$return = date("d/m/Y", strtotime($row['datefin']));
	}
	
	return $return;
}

?>