<?php
/**
 * Plugin CIFORM 
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

// Utilisation du pipeline du plugin porte plume
function ciform_porte_plume_barre_pre_charger($barres){
	$barre = &$barres['edition'];
	$ciform_pp = '';

	// compatibilite avec auto_compress_js
	if ($GLOBALS['meta']['auto_compress_js'] == 'oui'
             OR $GLOBALS['spip_version_branche']>=3.2) {
		if (isset($_GET['page']))
			if ($_GET['page']=='article_wiki_editer')
				$ciform_pp = 'oui';
	}

	if (isset($_GET['ciform_pp']))
		$ciform_pp = $_GET['ciform_pp'];


	if ($ciform_pp=='oui'){
		if (defined('_DIR_PLUGIN_TYPOENLUMINEE') AND defined('_DIR_PLUGIN_CISF')){
			$barre->ajouterApres('notes', array(
				"id"          => 'ciform_elumtypo_tableau',
				"name"        => _T('enlumtypo:barre_tableau'),
				"className"   => "outil_barre_tableau",
				"replaceWith" => 'function(markitup) { zone_selection = markitup.textarea; window.open("?page=tableau_edit", "","scrollbars=yes,resizable=yes,width=700,height=600") }',
				"display"     => true,
				"selectionType" => "line",
			));
		}
		
	}

    return $barres;	
}

// Utilisation du pipeline du plugin porte plume
function ciform_porte_plume_barre_charger($barres){
	$barre = &$barres['edition'];
 	$barre->cacher('cadre');

	if (defined('_DIR_PLUGIN_TYPOENLUMINEE') AND $barre->get('ciform_elumtypo_tableau'))
	 	$barre->cacher('barre_tableau');

    return $barres;	
}


?>