<?php
/**
 * Plugin ciimport : Importation d'auteurs et de mots-cles
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/filtres');

/**
 * ajoute un bloc dans la colonne de gauche de la page auteurs
 *
 * @param array
 * @return array
 */
function ciimport_affiche_gauche($flux) {
	global $connect_statut, $connect_toutes_rubriques;

	$exec = $flux["args"]["exec"];
	
		include_spip('inc/presentation');
		include_spip('inc/filtres_boites');
		if ($exec == "articles") {
				$ret = boite_ouvrir('', 'raccourcis');
				$ret .= icone_horizontale(_T('ciimport:export_liste_articles'), generer_url_ecrire("ciexport_articles", ''), "article-24.png", "", false);
				$ret .= icone_horizontale(_T('ciimport:export_texte_articles'), generer_url_ecrire("ciexport_texte_articles_choix", ''), "article-24.png", "", false);
				$ret .= boite_fermer();
				if ($p=strpos($flux['data'],"<!--affiche_milieu-->"))
					$flux['data'] = substr_replace($flux['data'],$ret,$p,0);
				else
					$flux["data"] .= $ret;
		}
                
		if ($exec == "rubriques") {
				$ret = boite_ouvrir('', 'raccourcis');
				$ret .= icone_horizontale(_T('ciimport:export_plan'), generer_url_ecrire("ciexport_plan", ''), "rubrique-24.png", "", false);
				$ret .= boite_fermer();
				if ($p=strpos($flux['data'],"<!--affiche_milieu-->"))
					$flux['data'] = substr_replace($flux['data'],$ret,$p,0);
				else
					$flux["data"] .= $ret;
		}
                
		if ($exec == "auteurs") {
			if ($connect_statut == '0minirezo' AND $connect_toutes_rubriques) {
				$ret = boite_ouvrir('', 'raccourcis');
				$ret .= icone_horizontale(_T('ciimport:icone_import_auteurs'), generer_url_ecrire("ciimport_auteurs", ''), "auteur-24.png", "creer.gif", false);
				$ret .= icone_horizontale(_T('ciimport:icone_export_auteurs'), generer_url_ecrire("ciexport_auteurs", ''), "auteur-24.png", "", false);
				$ret .= icone_horizontale(_T('ciimport:icone_export_visiteurs'), generer_url_ecrire("ciexport_auteurs", 'statut=6forum'), "auteur-24.png", "", false);
				$ret .= boite_fermer();
				if ($p=strpos($flux['data'],"<!--affiche_milieu-->"))
					$flux['data'] = substr_replace($flux['data'],$ret,$p,0);
				else
					$flux["data"] .= $ret;
			}
		}

		if ($exec == "mots") {
			if ($connect_statut == '0minirezo' AND $connect_toutes_rubriques) {
				$ret = boite_ouvrir('', 'raccourcis');
				$ret .= icone_horizontale(_T('ciimport:icone_import_motscles'), generer_url_ecrire("ciimport_motscles", ''), "mot-24.png", "creer.gif", false);
				$ret .= icone_horizontale(_T('ciimport:icone_export_motscles'), generer_url_ecrire("ciexport_motscles", ''), "mot-24.png", "", false);
				$ret .= boite_fermer();
				if ($p=strpos($flux['data'],"<!--affiche_milieu-->"))
					$flux['data'] = substr_replace($flux['data'],$ret,$p,0);
				else
					$flux["data"] .= $ret;
			}
		}
		
		if ($exec == "controler_forum") {
                        if (!empty($flux["args"]["objet"])){                    
                                $objet = $flux["args"]["objet"];
                        } else {
                                $objet = '';
                        }
                        if (!empty($flux["args"]["id_objet"])){                    
                                $id_objet = intval($flux["args"]["id_objet"]);
                        } else {
                                $id_objet = 0;
                        }
                        if ($id_objet AND autoriser('modererforum', $objet, $id_objet)){
                                $ci_liens_export_forum = bloc_des_raccourcis(
                                icone_horizontale(_T('ciimport:icone_export_forum_publie'), generer_url_ecrire("ciexport_forum", "objet=$objet&id_objet=$id_objet"), "forum-24.png", "", false)
                                .icone_horizontale(_T('ciimport:icone_export_forum_tous'), generer_url_ecrire("ciexport_forum", "objet=$objet&id_objet=$id_objet&statut=tous"), "forum-24.png", "", false)
                                .icone_horizontale(_T('ciimport:icone_export_forum_nonpublie'), generer_url_ecrire("ciexport_forum", "objet=$objet&id_objet=$id_objet&statut=nonpublie"), "forum-24.png", "", false)
                                );
                            	if (spip_version()>=4) {
                                        $flux["data"] = $ci_liens_export_forum . $flux["data"];
                                } else {
                                        $flux["data"] .= $ci_liens_export_forum;
                                }
                        }
		}		


		if ($exec == "notation" AND defined('_DIR_PLUGIN_NOTATION')) {
                                $ci_liens_export_notation = bloc_des_raccourcis(
                                icone_horizontale(_T('ciimport:icone_export_notation'), generer_url_ecrire("ciexport_fichier", "forme=notation_csv&charset=utf-8"), "forum-24.png", "", false)
                                .icone_horizontale(_T('ciimport:icone_export_notation_detail'), generer_url_ecrire("ciexport_fichier", "forme=notation_detail_csv&charset=utf-8"), "forum-24.png", "", false)
                                );
                                $flux["data"] .= $ci_liens_export_notation;
		}		
                

  return $flux;
}

?>