<?php
/**
 * Plugin redacteur restreint
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */


// declarer la fonction du pipeline
function cirr_autoriser(){}


/**
 * Autorisation de redacteur restreint
 *
 * Est-on redacteur restreint ?
 * 
 * @param  string $faire Action demandée
 * @param  string $type  Type d'objet sur lequel appliquer l'action
 * @param  int    $id    Identifiant de l'objet
 * @param  array  $qui   Description de l'auteur demandant l'autorisation
 * @param  array  $opt   Options de cette autorisation
 * @return bool          true s'il a le droit, false sinon
**/
function autoriser_auteurrestreint_dist($faire, $type, $id, $qui, $opt) {
	return
		in_array($qui['statut'], array('0minirezo', '1comite'))
		AND $qui['restreint'];
}

?>