/**
 * Mega menu
 * Auteur : Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 * 
 * Necessite jQuery
 * Ce js contient egalement des fonctions diverses
 * pour ne pas multiplier le nombre de fichiers
 */

//----------------------------------------------------
// Fonctions diverses
//----------------------------------------------------

function cicacheselect(){
  if (browser.isIE) {
	 oSelects = document.getElementsByTagName('SELECT');
	 if (oSelects.length > 0) {
	  for (i = 0; i < oSelects.length; i++) {
	   oSlt = oSelects[i];
	    if (oSlt.style.visibility != 'hidden') {oSlt.style.visibility = 'hidden';}
	  }
	 }  
	 oSelects = document.getElementsByName('masquable');
	 if (oSelects.length > 0) {
	  for (i = 0; i < oSelects.length; i++) {
	   oSlt = oSelects[i];
	    if (oSlt.style.visibility != 'hidden') {oSlt.style.visibility = 'hidden';}
	  }
	 }  
  }
}	

function cimontreselect(){
  if (browser.isIE) {
	 oSelects = document.getElementsByTagName('SELECT');
	 if (oSelects.length > 0) {
	  for (i = 0; i < oSelects.length; i++) {
	   oSlt = oSelects[i];
	    if (oSlt.style.visibility != 'visible') {oSlt.style.visibility = 'visible';}
	  }
	 }  
	 oSelects = document.getElementsByName('masquable');
	 if (oSelects.length > 0) {
	  for (i = 0; i < oSelects.length; i++) {
	   oSlt = oSelects[i];
	    if (oSlt.style.visibility != 'visible') {oSlt.style.visibility = 'visible';}
	  }
	 }  
  }
}	

function clearText(thefield){
	if (thefield.defaultValue==thefield.value)
	thefield.value = "";
}

function goToSelectURL(myForm, mySelect){
	var strURL;
	var oSelect;
	
	oSelect = document.forms[myForm].elements[mySelect];
	strURL = oSelect[oSelect.selectedIndex].value;
	if(strURL!=''){window.location.href=strURL;}
        oSelect.selectedIndex=0;
}

function ci_nettoyer(str) {
    str=str.replace(/\'/g,' ');
    str=str.replace(/\"/g,' ');
    return str;
}

function focus_zone(selecteur){
    jQuery(selecteur).eq(0).find('a,input:visible').get(0).focus();
return false;
}

jQuery(document).ready(function(){

    // Liens qui doivent ouvrir une nouvelle fenetre
    $('a').each(function(i, el) {
        // Si les liens ont un nom de class egal a spip_out, alors on agit.
        if ($( this ).hasClass('spip_out')){
            if ($( this ).attr('title')){
              $( this ).attr( 'title', $( this ).attr('title') + ' (Neues Fenster)' );
            } else {
              $( this ).attr( 'title', ci_nettoyer($( this ).text()) + ' (Neues Fenster)' );
            }
            $( this ).attr( 'target', '_blank' );
            if ($( this )[0].hasAttribute('rel')){
                $( this ).attr( 'rel', 'noopener noreferrer ' + $( this ).attr('rel') );
            } else {
                $( this ).attr( 'rel', 'noopener noreferrer');                
            }
        }
        // Si les liens ont un nom de class egal a LienTelecharg, document ou imprimer, alors on agit.
        if ($( this ).hasClass('LienTelecharg') || $( this ).hasClass('document') || $( this ).hasClass('imprimer')){
            $( this ).attr( 'target', '_blank' );
            if ($( this )[0].hasAttribute('rel')){
                $( this ).attr( 'rel', 'noopener noreferrer ' + $( this ).attr('rel') );
            } else {
                $( this ).attr( 'rel', 'noopener noreferrer');                
            }
        }
    });

    // Liens rapides
    jQuery('#bando_liens_rapides').addClass('invisible');
    
    jQuery('#bando_liens_rapides a')
    .focus(function(){
    jQuery('#bando_liens_rapides').removeClass('invisible');
    jQuery('#bando_liens_rapides').addClass('actif');
    })
    .blur(function(){
    jQuery('#bando_liens_rapides').addClass('invisible');
    jQuery('#bando_liens_rapides').removeClass('actif');
    });

    // version texte
    $('.version_texte').addClass('invisible');
    $('.bouton_version_texte').click(function(e){
        if ($( this ).attr('aria-controls')){
            var $versiontexte =  $('#' + $( this ).attr('aria-controls'));
            if ($versiontexte.hasClass('invisible')){
                $versiontexte.removeClass('invisible');
                $versiontexte.addClass('actif');
                $( this ).attr('aria-expanded', 'true');
                $( this ).attr('aria-pressed', 'true');
                $( this ).text($( this ).attr('data-show'));
            } else if ($versiontexte.hasClass('actif')){
                $versiontexte.removeClass('actif');
                $versiontexte.addClass('invisible');
                $( this ).attr('aria-expanded', 'false');
                $( this ).attr('aria-pressed', 'false');
                $( this ).text($( this ).attr('data-hide'));
            }
        }
        e.stopPropagation();
        return false;
    });
    
    // ajouter la classe cimenubrancheactive au menu de niveau 1 actif
    // en cherchant son id dans le fil d'ariane
    $('#cimenuariane').each(function(i, el) {
        var $cimenubrancheactive =  $('#cimenu' + $( this ).attr('class'));
        if ($cimenubrancheactive){
            $cimenubrancheactive.addClass('cimenubrancheactive');
            $cimenubrancheactive.children().first().wrapInner('<strong class="cimenubrancheactivestrong"></strong>');
        }
    });

  //----------------------------------------------------
  // Mega menu sur mesure pour Giseh
  //----------------------------------------------------

    var keys = {ENTER: 13,SPACE: 32,ESC: 27,DOWN: 40,LEFT: 37,RIGHT: 39,TAB: 9,UP: 38};
   
    var cimenu_search = '';
    var cimenu_search_timeout = 1000;

  // padding initial
  var cipadding = $("#milieu").css("padding-top");

  // constructeur pour un menu
  var Cimenu = function (element) {
    this.$element = $(element)
  }

  // replier un menu
  Cimenu.prototype.replier = function (){
    var $sousmenu =  $('#' + this.$element.attr('aria-controls'));    
    $sousmenu.addClass('replie');
    this.$element.removeClass('actif');
    this.$element.attr('aria-expanded', 'false');
    this.$element.attr('aria-pressed', 'false');
    // passer par le DOM
    this.$element.get(0).focus();
    
    $sousmenu.find(".btn-close").attr('aria-expanded', 'false');
    if ($(".cimenumobile-btn-container").css("display") != "block"){
      $("#milieu").css("padding-top",cipadding);
    }
  }

  // replier tous les menus ouverts
  Cimenu.prototype.toutreplier = function (){
    var $sousmenu;
    var retour = false;
    $('.cimenu-theme').each(function(i, el) {
      if ($( this ).attr('aria-expanded')=='true'){
        $sousmenu =  $('#' + $( this ).attr('aria-controls'));    
        $sousmenu.addClass('replie');
        if ($( this ).attr('aria-controls')){
            $( this ).removeClass('actif');
            $( this ).attr('aria-expanded', 'false');
            $( this ).attr('aria-pressed', 'false');
            $( this ).find(".btn-close").attr('aria-expanded', 'false');
        }
        retour = true;
      }
    });
    return retour;
  }

  // deplier un menu
  Cimenu.prototype.deplier = function (){
    var $sousmenu =  $('#' + this.$element.attr('aria-controls'));
    $sousmenu.removeClass('replie');
    $sousmenu.attr('aria-labelledby', this.$element.attr('aria-controls'));
    this.$element.addClass('actif');
    this.$element.attr('aria-expanded', 'true');
    this.$element.attr('aria-pressed', 'true');
    $sousmenu.find(".btn-close").attr('aria-expanded', 'true');
    if ($(".cimenumobile-btn-container").css("display") != "block"){
      $("#milieu").css("padding-top",Math.floor($sousmenu.height())+10);
    }
  }

    // initialisation
    // ajouter aria-expanded et aria-pressed aux themes qui ont un aria-controls
    $('.cimenu-theme').each(function(i, el) {
      if ($( this ).attr('aria-controls')){          
        $( this ).attr('aria-expanded', 'false');
        $( this ).attr('aria-pressed', 'false');
      }
    });
    // ajouter aria-expanded aux boutons qui ont un aria-controls
    $('.btn-close').each(function(i, el) {
      if ($( this ).attr('aria-controls')){
        $( this ).attr('aria-expanded', 'false');
      }
    });

    // Pour les menus de premier niveau (navigation au clavier)
    $('.cimenu-theme').keydown(function(e) {
      if ($( this ).attr('aria-controls')){
        if (e.altKey||e.ctrlKey||e.shiftKey) {
              // ne rien faire
        } else if (e.keyCode == keys.ENTER || e.keyCode == keys.SPACE || e.keyCode == keys.ESC) {
          var monMenu = new Cimenu(this);

          if ($(this).attr('aria-expanded') == 'true') {
            // replier
              monMenu.replier();
          } else {
            if (e.keyCode != keys.ESC){
            // replier les sous menus deja ouverts
            // puis deplier le sous menu
              monMenu.toutreplier();
              monMenu.deplier();
            }
          }
          e.stopPropagation();
          return false;
        }
      return true;
      }
   });

    // Pour les menus de premier niveau (navigation avec la souris)
   $('.cimenu-theme').click(function(e) {
      if ($( this ).attr('aria-controls')){
          var monMenu = new Cimenu(this);

         if ($(this).attr('aria-expanded') == 'true') {
            // replier
            monMenu.replier();
         } else {
          // replier les sous menus deja ouverts
          // puis deplier le sous menu
            monMenu.toutreplier();
            monMenu.deplier();
         }

      e.stopPropagation();
      return false;
    }
   });

    $('a.cimenu-item').keydown(function(e) {
        if (e.keyCode == keys.DOWN){
            var ciliens = $("a.cimenu-item");
            var ciindex = ciliens.index($(this));
            ciliens.slice(ciindex+1, ciindex+2).get(0).focus();
            e.stopPropagation();
            return false;
        }
        if (e.keyCode == keys.UP){
            var ciliens = $("a.cimenu-item");
            var ciindex = ciliens.index($(this));
            ciliens.slice(ciindex-1, ciindex).get(0).focus();
            e.stopPropagation();
            return false;
        }
    });

    // Navigation au clavier : taper les premieres lettres d'un lien
    // Navigation au clavier : touche Esc
    $('li.cimenu-li-theme').keydown(function(e) {
      if (e.altKey||e.ctrlKey) {
            // ne rien faire
         
      } else if (e.keyCode == keys.DOWN){
          $(this).find('a.cimenu-item').first().get(0).focus();
            e.stopPropagation();
            return false;
          
        } else if (e.keyCode>47 && e.keyCode<106){
            var cistring = String.fromCharCode(e.keyCode),
            target = $(e.target),
            tabbables,
            start = 0,
            i,
            o,
            label,
            found = false,
            ciregex;
            
            clearTimeout(this.keydownTimeoutID);

            cimenu_search += cistring !== cimenu_search ? cistring : '';

            if (cimenu_search.length === 0) {
                e.stopPropagation();
                return false;
            }

            $(this).keydownTimeoutID = setTimeout(function () {
                cimenu_search = '';
            }, cimenu_search_timeout);
            
            var tabbables = $(this).find("a");
            tabbables = tabbables.filter(':not(.cimenu-theme)');
            if (e.shiftKey) {
                tabbables = $(tabbables.get().reverse());
            }
            
            for (i = 0; i < tabbables.length; i++) {
                o = tabbables.eq(i);
                if (o.is(target)) {
                    start = (cimenu_search.length === 1) ? i + 1 : i;
                    break;
                }
            }

            ciregex = new RegExp('^' + cimenu_search.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g, '\\$&'), 'i');

            for (i = start; i < tabbables.length; i++) {
                o = tabbables.eq(i);
                label = $.trim(o.text());
                if (ciregex.test(label)) {
                    found = true;
                    o.get(0).focus();
                    break;
                }
            }
            
            if (!found) {
                for (i = 0; i < start; i++) {
                    o = tabbables.eq(i);
                    label = $.trim(o.text());
                    if (ciregex.test(label)) {
                        found = true;
                        o.get(0).focus();
                        break;
                    }
                }
            }
            
            if (found) {
                e.stopPropagation();
                return false;
            }
            
        } else if (e.keyCode == keys.ESC) {
          if ($(this).find(":first-child").attr('aria-expanded') == 'true') {
            $('#' + $(this).find(":first-child").attr('aria-controls') + '-btn').click();    
          }
          e.stopPropagation();
          return false;
        }
        return true;
   });


    // Pour le bouton FERMER (navigation au clavier)
    $('button.btn-close').keydown(function(e) {
      if (e.altKey||e.ctrlKey||e.shiftKey) {
            // ne rien faire
      } else if (e.keyCode == keys.ENTER || e.keyCode == keys.SPACE) {
        if ($(this).attr('aria-expanded') == 'true') {
          $('#' + $(this).attr('aria-controls') + '-btn').click();    
        }
        e.stopPropagation();
        return false;
      }
      return true;
   });
  
    // Pour le bouton FERMER (navigation avec la souris)
   $('button.btn-close').click(function(e) {
         if ($(this).attr('aria-expanded') == 'true') {
            $('#' + $(this).attr('aria-controls') + '-btn').click();
         }
      e.stopPropagation();
      return false;
   });

    // Si on est sur le lien pour afficher le theme et qu'on tabule (navigation au clavier)
    // il faut replier les sous menus deja ouverts
    $('.cimenu-lien-theme').keydown(function(e) {
        if (e.keyCode == keys.TAB) {
          // replier les sous menus deja ouverts
           var monMenu = new Cimenu(this);
            if (monMenu.toutreplier()){
              $("#milieu").css("padding-top",cipadding);
            }
        }
      return true;
   });


  /*----- Bouton pour la version mobile (faible largeur d'ecran) ----*/
 
  // constructeur pour un menu
  var Cimenumobile = function (element) {
    this.$element = $(element)
  }

  // replier la version mobile
  Cimenumobile.prototype.replier = function (){
    var $sousmenu =  $('#' + this.$element.attr('aria-controls'));    
    $sousmenu.addClass('mobilereplie');
    this.$element.attr('aria-expanded', 'false');
    this.$element.attr('aria-pressed', 'false');
    // passer par le DOM
    this.$element.get(0).focus();
    $sousmenu.find(".btn-close").attr('aria-expanded', 'false');
    $('#cimenumobile-btn').removeClass('btndeplie');
  }

  // deplier la version mobile
  Cimenumobile.prototype.deplier = function (){
    var $sousmenu =  $('#' + this.$element.attr('aria-controls'));    
    $sousmenu.removeClass('mobilereplie');
    $sousmenu.attr('aria-labelledby', this.$element.attr('aria-controls'));
    this.$element.attr('aria-expanded', 'true');
    this.$element.attr('aria-pressed', 'true');
    $sousmenu.find(".btn-close").attr('aria-expanded', 'true');
    $('#cimenumobile-btn').addClass('btndeplie');
  }
  
    // initialisation
    $('.cimenumobile-btn').attr('aria-expanded', 'false');
    $('.cimenumobile-btn').attr('aria-pressed', 'false');
  
    // Pour le menu mobile (navigation au clavier)
    $('.cimenumobile-btn').keydown(function(e) {
      if (e.altKey||e.ctrlKey||e.shiftKey) {
            // ne rien faire
      } else if (e.keyCode == keys.ENTER || e.keyCode == keys.SPACE || e.keyCode == keys.ESC) {
        var monMenuMobile = new Cimenumobile(this);
        
        if ($(this).attr('aria-expanded') == 'true') {
            monMenuMobile.replier();
        } else {
          if (e.keyCode != keys.ESC){
            monMenuMobile.deplier();
          }
        }
        e.stopPropagation();
        return false;
      }
      return true;
   });
  
    // Pour le menu mobile  (navigation avec la souris)
   $('.cimenumobile-btn').click(function(e) {
         var monMenuMobile = new Cimenumobile(this);

         if ($(this).attr('aria-expanded') == 'true') {
            monMenuMobile.replier();
         } else {
            monMenuMobile.deplier();
         }

      e.stopPropagation();
      return false;
   });

}); // end ready()
