<?php
/**
 * Plugin CITRACE
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

function citrace_declarer_tables_principales($tables_principales){
	
	// table de certaines traces
	$spip_citrace_liste = array(
		"id_trace"      => "bigint(21) NOT NULL",
		"objet"         => "varchar(25) DEFAULT '' NOT NULL",
		"id_objet"      => "bigint(21) DEFAULT '0' NOT NULL",
		"titre"         => "text DEFAULT '' NOT NULL",
		"commentaire"   => "text DEFAULT '' NOT NULL",
		"action"        => "varchar(50) DEFAULT '' NOT NULL",
		"id_auteur"     => "bigint(21) DEFAULT '0' NOT NULL",
                "email"         => "tinytext DEFAULT '' NOT NULL",
		"date"          => "datetime NOT NULL default '0000-00-00 00:00:00'");

        // indexer sur la date
        $spip_citrace_liste_key = array(
            "PRIMARY KEY"	=> "id_trace",
            "KEY date"          => "date");
        
	
	$tables_principales['spip_citrace_liste'] = array(
		'field' => &$spip_citrace_liste,
		'key' => &$spip_citrace_liste_key);

	return $tables_principales;
}

function citrace_declarer_tables_interfaces($interface){
	
	$interface['table_des_tables']['citrace_liste']='citrace_liste';
	
	return $interface;
}

?>