<?php
/**
 * Plugin CIWIDGET 
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/ciwidget_inc_style');


function ciwidget_css_galerie(){
    
$return = '/* Widget galerie */

.ciwidget_galerie {
    '.ciwidget_ligne_css('galerie','galerie_width').'
}

.ciwidget_galerie .wrapper {
    '.ciwidget_ligne_css('galerie','galerie_width').'
    '.ciwidget_ligne_css('galerie','galerie_background-colorhexa').'
    padding: 0rem 0rem 1.8rem 0rem;
}

.ciwidget_galerie .splide__slide {
    '.ciwidget_ligne_css('galerie','vignette_opacity').'
}

.ciwidget_galerie .splide__slide.is-active {
    opacity: 1;
}

.ciwidget_galerie .splide__slide img {
    '.ciwidget_ligne_css('galerie','galerie_width').'
    '.ciwidget_ligne_css('galerie','image_border-style').'
    '.ciwidget_ligne_css('galerie','image_border-colorhexa').'
    '.ciwidget_ligne_css('galerie','image_border-width').'
    '.ciwidget_ligne_css('galerie','image_border-radius').'
    height: auto;
    object-fit: cover;
}

.ciwidget_galerie .wrapper_thumbnail {
    margin-top: 1rem;
}
.ciwidget_galerie .splide__track--nav > .splide__list > .splide__slide {
    border: none;
}

.ciwidget_galerie .splide__slidenumber {
    text-align: center;
    margin: 0 2rem 0 2rem ;
    '.ciwidget_ligne_css('galerie','compteur_colorhexa').'
    '.ciwidget_ligne_css('galerie','compteur_font-size').'
}

.ciwidget_galerie .splide__arrows {
    display: flex;
    align-items: center;
    width: max-content;
    margin: 0.5rem auto 0 auto;
}

.ciwidget_galerie .splide__arrow {
    position:relative;
    display: block;
    background: none;
    opacity: 1;
    border: 0;
    transform:translateY(0%);
    '.ciwidget_ligne_css('galerie','fleche_colorhexa').'
    '.ciwidget_ligne_css('galerie','fleche_height').'
    '.ciwidget_ligne_css('galerie','fleche_width').'
}

.ciwidget_galerie button:focus {
    box-shadow: inherit;
}

.ciwidget_galerie .splide__arrow--prev {
    transform: scaleX(-1) translateY(0%);
}
.ciwidget_galerie .splide__arrow--next {
    transform: translateY(0%);
}

.ciwidget_galerie .splide__arrow svg {
    display: block;
    fill: none;
    stroke: currentColor;
    stroke-linecap: square;
    stroke-width: 4px;
    transform: none;
    '.ciwidget_ligne_css('galerie','fleche_height').'
    '.ciwidget_ligne_css('galerie','fleche_width').'
}

.ciwidget_galerie figure {
    margin: 0;
}

.ciwidget_galerie .splide__pagination {
    position: relative;
    margin-top: 1rem;
    bottom: 0rem;
}

.ciwidget_galerie .splide__pagination__page {
    '.ciwidget_ligne_css('galerie','point_height').'
    '.ciwidget_ligne_css('galerie','point_width').'
    '.ciwidget_ligne_css('galerie','point_margin').'
    '.ciwidget_ligne_css('galerie','point_background-colorhexa').'
    '.ciwidget_ligne_css('galerie','point_border-style').'
    '.ciwidget_ligne_css('galerie','point_border-colorhexa').'
    '.ciwidget_ligne_css('galerie','point_border-width').'
    '.ciwidget_ligne_css('galerie','point_opacity').'
}

.ciwidget_galerie .splide__pagination__page.is-active {
    background-color: '.ciwidget_valeur_css('galerie','point_background-colorhexaactive').';
    transform:none;
}

';
    
    return $return;
}

?>