<?php
/**
 * Plugin CIWIDGET
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

include_spip('inc/ciwidget_inc_meta');
include_spip('inc/ciwidget_inc_style');


function ciwidget_citation_ajoutquote($texte){
    $guillemet_debut = '';
    $guillemet_fin = '';
    $tableau = ciwidget_liste_style_element('citation','quote');
    $ajoutquote = ciwidget_lire_meta_cle('citation','ajoutquote');

    if ($ajoutquote AND substr($ajoutquote,0,5)=='quote'){
        $tableau_guillemets = explode(' ',_T('ciwidget:'.$ajoutquote));
        if (isset($tableau_guillemets[0])){
            $guillemet_debut = '<span class="quote_debut">'.$tableau_guillemets[0].'</span>';
        }
        if (isset($tableau_guillemets[1])){
            $guillemet_fin = '<span class="quote_fin">'.$tableau_guillemets[1].'</span>';
        }
        if (substr($texte,0,6)=='&lt;p>' AND substr($texte,-7)=='&lt;/p>'){
            $texte = '<p>'.$guillemet_debut.substr($texte,6,-7).$guillemet_fin.'</p>';
        } elseif (substr($texte,0,3)=='<p>' AND substr($texte,-4)=='</p>'){
            $texte = '<p>'.$guillemet_debut.substr($texte,3,-4).$guillemet_fin.'</p>';
        } else {
            $texte = $guillemet_debut.$texte.$guillemet_fin;
        }
    }
    
    return $texte;
}

?>