<?php
/**
 * Plugin CIWIDGET
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


/**
 * Generer l'url d'un widget dans l'espace prive
 *
 * @param int $id
 * @param string $args
 * @param string $ancre
 * @param string $public
 * @param string $connect
 * @return string
 */
function urls_generer_url_ecrire_widget_dist($id_widget, $args = '', $ancre = '', $public = null, $connect = '') {
	include_spip('inc/autoriser');
	if (!autoriser('modifier', 'ciwidgetwidget', $id_widget)) {
		return '';
	}

	$row = sql_fetsel('objet,id_objet', 'spip_ciwidget', 'id_widget=' . intval($id_widget));

	if (!$row) {
		return '';
	} else {
                $id_table_objet = id_table_objet($row['objet']);

        	return generer_url_ecrire($row['objet'], "$id_table_objet=".$row['id_objet']);
        }
}

?>